View .md

Hosting Packages endpoints (Admin API)

5 FeatherPanel Admin API endpoints from admin/hosting-packages.php: methods, paths, auth, permissions, rate limits, parameters and responses.

Last synced from FeatherPanel 15b94e9 on .

On this page

Defined in backend/app/routes/admin/hosting-packages.php. Authentication used here: Admin. Read Authentication for how to send credentials and Rate limits and errors for the response envelope.

Paths, methods, permissions and rate limits come from the route file. Summaries, parameters and response codes come from the OpenAPI annotations on the controllers; endpoints without annotations show only what the route file declares.

Endpoints

GET/api/admin/hosting-packages

Auth: AdminPermission: admin.webspaces.viewRoute name: admin-hosting-packagesController: HostingPackagesController::indexroute source

List hosting packages

curl -X GET "$PANEL_URL/api/admin/hosting-packages" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

GET/api/admin/hosting-packages/{id}

Auth: AdminPermission: admin.webspaces.viewRoute name: admin-hosting-packages-showController: HostingPackagesController::showroute source

Get hosting package

ParameterInTypeRequiredDescription
idpath-yes
curl -X GET "$PANEL_URL/api/admin/hosting-packages/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

PUT/api/admin/hosting-packages

Auth: AdminPermission: admin.webspaces.createRoute name: admin-hosting-packages-createController: HostingPackagesController::createroute source

Create hosting package

curl -X PUT "$PANEL_URL/api/admin/hosting-packages" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

Plugin events: featherpanel:admin:hosting_packages:package:created

PATCH/api/admin/hosting-packages/{id}

Auth: AdminPermission: admin.webspaces.editRoute name: admin-hosting-packages-updateController: HostingPackagesController::updateroute source

Update hosting package

ParameterInTypeRequiredDescription
idpath-yes
curl -X PATCH "$PANEL_URL/api/admin/hosting-packages/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

Plugin events: featherpanel:admin:hosting_packages:package:updated

DELETE/api/admin/hosting-packages/{id}

Auth: AdminPermission: admin.webspaces.deleteRoute name: admin-hosting-packages-deleteController: HostingPackagesController::deleteroute source

Delete hosting package

ParameterInTypeRequiredDescription
idpath-yes
curl -X DELETE "$PANEL_URL/api/admin/hosting-packages/$ID" \
  -H "Authorization: Bearer $FEATHERPANEL_API_KEY" \
  -H "Accept: application/json"

Plugin events: featherpanel:admin:hosting_packages:package:deleted